<?= $this->render('escorts-v2/_callcenter_comment_history-js.phtml') ?>
<input type="hidden" id="escort-response-id" value="<?= $this->escort_id ?>">
<?php $DEFINITIONS = Zend_Registry::get('defines'); ?>
<form class="form-common">
    <div id="Comments" style="display: inline-block">
        <fieldset class="fleft">
            <legend>Add response</legend>

            <div class="inner">
                <div class="legend">
                    <p>ID:<b> <?= $this->escort_id ?></b>    Showname: <b><?= $this->escort->showname ?></b></p>
                   
                    <br>
                    <p>Phone: <b><?= $this->escort->contact_phone_parsed ?></b></p>
                    <p>City:<b> <?= $this->city_title ?></b></p>

                </div>
                <br>
               <!--  <label>Comment Template</label>
                <select name="" id="comment_templates" style="width: 400px">
                    <option value="">- comment templates -</option>
                    <? foreach (Model_System_CommentTemplates::getAllTemplates() as $template): ?>
                        <option value="<?= $template->id ?>"><?= $template->title ?></option>
                    <? endforeach; ?>
                </select> -->
                <div class="legend">
                    <label class="fleft" for="answered"><input style="margin-right: 5px"  checked="checked" type="radio" id="answered" name="escort-response" value="answered">Answered</label>
                    <label class="fleft" for="noanswer">  <input style="margin-right: 5px"  type="radio" id="noanswer" name="escort-response" value="no answer">No answer</label>
                    <label class="fleft" for="calllater">  <input style="margin-right: 5px" type="radio" id="calllater" name="escort-response" value="call later">Call later</label>
                    <label class="fleft" for="confirmed">  <input style="margin-right: 5px"  type="radio" id="confirmed" name="escort-response" value="confirmed">Confirmed</label>
                </div>
            </div>

           <br>
           <br>
           <br>

            <div class="inner ">
                <label for="free_comment">Free Comment</label>
                <textarea id="free_comment" class="txt" style="height: 155px; width: 400px"></textarea>
            </div>
            <div class="clear"></div>
            <div class="fright inner ">
                <a id="btn-escort-comments-add"></a>
            </div>

        </fieldset>
        <fieldset class="fleft">
            <legend>Responses History</legend>
            <div id="comment-history-body" class="w40">
                <div class="history_box">
                    <? foreach ($this->comments_history as $comment): ?>
                        
                        <div class="commentItem fleft">
            			<span class="date">
                            <?= $comment->date ?></span> | <?= $comment->response ?>
                        </span>
                        <div><div class="comment-text">
                        <?= $comment->comment; ?>
                    </div></div>
                        </div>
                        <div class="clear"></div>
                    <? endforeach; ?>
                </div>
                <div class="paging">
                    <? if ($this->count > $this->per_page): ?>
                        <? $pages = $this->paging($this->count, $this->page, $this->per_page); ?>
                        <? foreach ($pages as $page): ?>
                            <? if ($page == $this->page): ?>
                                <span> <?= $page ?></span>
                            <? else: ?>
                                <a href="#" onclick="return initCommentsHistory(<?= $page ?>)"><?= $page ?></a>
                            <? endif; ?>
                        <? endforeach; ?>
                    <? endif; ?>
                </div>
            </div>
        </fieldset>
        <br>
         <fieldset class="fleft">
            <legend>Responses History by admins</legend>
            <div id="comment-history-body" class="w40">
                <div class="history_box">
                    <? foreach ($this->admin_comments_history as $comment): ?>
                        
                        <div class="commentItem fleft">
                        <span class="date">
                            <?= $comment->date ?></span> | <?= $comment->response ?>
                        </span>
                        <div><div class="comment-text">
                        <?= $comment->comment; ?>
                    </div></div>
                        </div>
                        <div class="clear"></div>
                    <? endforeach; ?>
                </div>
                <div class="paging">
                    <? if ($this->count > $this->per_page): ?>
                        <? $pages = $this->paging($this->count, $this->page, $this->per_page); ?>
                        <? foreach ($pages as $page): ?>
                            <? if ($page == $this->page): ?>
                                <span> <?= $page ?></span>
                            <? else: ?>
                                <a href="#" onclick="return initCommentsHistory(<?= $page ?>)"><?= $page ?></a>
                            <? endif; ?>
                        <? endforeach; ?>
                    <? endif; ?>
                </div>
            </div>
        </fieldset>
    </div>
</form>

